petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSTrajectorySetTransform

Solution vector will be transformed by provided function before being saved to disk

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSTrajectorySetTransform(TSTrajectory tj,PetscErrorCode (*transform)(void*,Vec,Vec*),PetscErrorCode (*destroy)(void*),void *tctx)

Collective on TSLGCtx

### Input Parameters

| tj | - the TSTrajectory context
| transform | - the transform function
| destroy | - function to destroy the optional context
| ctx | - optional context used by transform function

### See Also

TSTrajectorySetVariableNames(), TSTrajectory, TSMonitorLGSetTransform()

### Level

intermediate

### Location

src/ts/trajectory/interface/traj.c

### Examples

src/ts/examples/tutorials/extchem.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages